<template>
  <div class="hello">
    <div class="container">
      <div class="item">
        <Card>
          <template v-slot:header>
            <h1>Title</h1>
          </template>
          <template v-slot:body>
            <p>body</p>
          </template>
        </Card>
      </div>

      <div class="item">
        <Card>
          <template v-slot:header>
            <h1>Title</h1>
          </template>
          <template v-slot:body>
          </template>
        </Card>
      </div>

      <div class="item">
        <Card>
          <template v-slot:header>
            <h1>Title</h1>
          </template>
          <template v-slot:body>
            <p>body</p>
          </template>
        </Card>
      </div>
    </div>
  </div>
</template>

<script>
import { onMounted } from "vue";
import Card from "../components/Card";

export default {
  components: {
    Card,
  },
  setup(){
    onMounted(async ()=>{
    });

    return {}
  }
}
</script>

<style scoped lang="scss">
  .container{
    display: flex;
    flex-wrap: wrap;
    margin: 0 -16px;

    >.item{
      width: calc(100% / 3 - 16px);
      margin: 8px;
    }
  }
</style>
